import directive from './directive'
import cContextMenu from './c-context-menu.vue'
import cContextMenuItem from './c-context-menu-item.vue'
import cContextMenuSubMenu from './c-context-menu-sub-menu.vue'

const install = (Vue) => {
  Vue.directive('contextmenu', directive)

  Vue.component('c-context-menu', cContextMenu)
  Vue.component('c-context-menu-item', cContextMenuItem)
  Vue.component('c-context-menu-sub-menu', cContextMenuSubMenu)
}

export default {
  install
}
